LayOut C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- b
- c
- d
- e
- l
- o
- p
- r
- s
- t
- v

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages

### - b -

- SUBoundingBox3DGetMidPoint() : SUBoundingBox3D

### - c -

- SUColorBlend() : SUColor
- SUColorGetNames() : SUColor
- SUColorGetNumNames() : SUColor
- SUColorSetByName() : SUColor
- SUColorSetByValue() : SUColor

### - d -

- LODocumentCreateAttributeDictionaryCopy() : LODocumentRef
- LODocumentDeleteAttribute() : LODocumentRef
- LODocumentGetAttribute() : LODocumentRef
- LODocumentSetAttribute() : LODocumentRef

### - e -

- LOEntityCreateAttributeDictionaryCopy() : LOEntityRef
- LOEntityDeleteAttribute() : LOEntityRef
- LOEntityGetAttribute() : LOEntityRef
- LOEntitySetAttribute() : LOEntityRef

### - l -

- SULengthFormatterCreate() : SULengthFormatterRef
- SULengthFormatterGetAreaPrecision() : SULengthFormatterRef
- SULengthFormatterGetAreaString() : SULengthFormatterRef
- SULengthFormatterGetAreaUnits() : SULengthFormatterRef
- SULengthFormatterGetForceInchDisplay() : SULengthFormatterRef
- SULengthFormatterGetFormat() : SULengthFormatterRef
- SULengthFormatterGetLengthString() : SULengthFormatterRef
- SULengthFormatterGetPrecision() : SULengthFormatterRef
- SULengthFormatterGetSuppressUnits() : SULengthFormatterRef
- SULengthFormatterGetUnits() : SULengthFormatterRef
- SULengthFormatterGetVolumePrecision() : SULengthFormatterRef
- SULengthFormatterGetVolumeString() : SULengthFormatterRef
- SULengthFormatterGetVolumeUnits() : SULengthFormatterRef
- SULengthFormatterParseString() : SULengthFormatterRef
- SULengthFormatterRelease() : SULengthFormatterRef
- SULengthFormatterSetAreaPrecision() : SULengthFormatterRef
- SULengthFormatterSetAreaUnits() : SULengthFormatterRef
- SULengthFormatterSetForceInchDisplay() : SULengthFormatterRef
- SULengthFormatterSetFormat() : SULengthFormatterRef
- SULengthFormatterSetPrecision() : SULengthFormatterRef
- SULengthFormatterSetSuppressUnits() : SULengthFormatterRef
- SULengthFormatterSetUnits() : SULengthFormatterRef
- SULengthFormatterSetVolumePrecision() : SULengthFormatterRef
- SULengthFormatterSetVolumeUnits() : SULengthFormatterRef

### - o -

- SUOverlayEnable() : SUOverlayRef

### - p -

- LOPageCreateAttributeDictionaryCopy() : LOPageRef
- LOPageDeleteAttribute() : LOPageRef
- LOPageGetAttribute() : LOPageRef
- LOPageSetAttribute() : LOPageRef
- SUPlane3DDistanceTo() : SUPlane3D
- SUPlane3DGetNormal() : SUPlane3D
- SUPlane3DGetPosition() : SUPlane3D
- SUPlane3DIsOn() : SUPlane3D
- SUPlane3DProjectTo() : SUPlane3D
- SUPlane3DSetWithCoefficients() : SUPlane3D
- SUPlane3DSetWithPointAndNormal() : SUPlane3D
- SUPlane3DSetWithPoints() : SUPlane3D
- SUPlane3DTransform() : SUPlane3D
- SUPoint2DDistanceToSUPoint2D() : SUPoint2D
- SUPoint2DGetEqual() : SUPoint2D
- SUPoint2DOffset() : SUPoint2D
- SUPoint2DToSUPoint2D() : SUPoint2D
- SUPoint2DTransform() : SUPoint2D
- SUPoint3DDistanceToSUPoint3D() : SUPoint3D
- SUPoint3DGetEqual() : SUPoint3D
- SUPoint3DLessThan() : SUPoint3D
- SUPoint3DOffset() : SUPoint3D
- SUPoint3DTransform() : SUPoint3D

### - r -

- SURay3DDistanceTo() : SURay3D
- SURay3DIsOn() : SURay3D
- SURay3DProjectTo() : SURay3D

### - s -

- SUStringCompare() : SUStringRef
- SUStringCreate() : SUStringRef
- SUStringCreateFromUTF16() : SUStringRef
- SUStringCreateFromUTF8() : SUStringRef
- SUStringGetUTF16() : SUStringRef
- SUStringGetUTF16Length() : SUStringRef
- SUStringGetUTF8() : SUStringRef
- SUStringGetUTF8Length() : SUStringRef
- SUStringRelease() : SUStringRef
- SUStringSetUTF16() : SUStringRef
- SUStringSetUTF8() : SUStringRef
- SUStringTrimLeft() : SUStringRef
- SUStringTrimRight() : SUStringRef

### - t -

- SUTransformation2DGetInverse() : SUTransformation2D
- SUTransformation2DIsIdentity() : SUTransformation2D
- SUTransformation2DMultiply() : SUTransformation2D
- SUTransformation2DNonUniformScale() : SUTransformation2D
- SUTransformation2DNonUniformScaleAboutPoint() : SUTransformation2D
- SUTransformation2DRotation() : SUTransformation2D
- SUTransformation2DScale() : SUTransformation2D
- SUTransformation2DScaleAboutPoint() : SUTransformation2D
- SUTransformation2DTranslation() : SUTransformation2D
- SUTransformationGetInverse() : SUTransformation
- SUTransformationGetOrigin() : SUTransformation
- SUTransformationGetXAxis() : SUTransformation
- SUTransformationGetYAxis() : SUTransformation
- SUTransformationGetZAxis() : SUTransformation
- SUTransformationGetZRotation() : SUTransformation
- SUTransformationInterpolate() : SUTransformation
- SUTransformationIsIdentity() : SUTransformation
- SUTransformationIsMirrored() : SUTransformation
- SUTransformationMultiply() : SUTransformation
- SUTransformationNonUniformScale() : SUTransformation
- SUTransformationNonUniformScaleAboutPoint() : SUTransformation
- SUTransformationRotation() : SUTransformation
- SUTransformationScale() : SUTransformation
- SUTransformationScaleAboutPoint() : SUTransformation
- SUTransformationSetFromPointAndAxes() : SUTransformation
- SUTransformationSetFromPointAndNormal() : SUTransformation
- SUTransformationTranslation() : SUTransformation

### - v -

- SUVector2DAngleBetween() : SUVector2D
- SUVector2DCreate() : SUVector2D
- SUVector2DCross() : SUVector2D
- SUVector2DDot() : SUVector2D
- SUVector2DGetLength() : SUVector2D
- SUVector2DIsEqual() : SUVector2D
- SUVector2DIsParallelTo() : SUVector2D
- SUVector2DIsPerpendicularTo() : SUVector2D
- SUVector2DIsSameDirectionAs() : SUVector2D
- SUVector2DIsUnitVector() : SUVector2D
- SUVector2DIsValid() : SUVector2D
- SUVector2DNormalize() : SUVector2D
- SUVector2DReverse() : SUVector2D
- SUVector2DSetLength() : SUVector2D
- SUVector2DTransform() : SUVector2D
- SUVector3DAngleBetween() : SUVector3D
- SUVector3DCreate() : SUVector3D
- SUVector3DCross() : SUVector3D
- SUVector3DDot() : SUVector3D
- SUVector3DGetArbitraryAxes() : SUVector3D
- SUVector3DGetLength() : SUVector3D
- SUVector3DIsEqual() : SUVector3D
- SUVector3DIsParallelTo() : SUVector3D
- SUVector3DIsPerpendicularTo() : SUVector3D
- SUVector3DIsSameDirectionAs() : SUVector3D
- SUVector3DIsUnitVector() : SUVector3D
- SUVector3DIsValid() : SUVector3D
- SUVector3DLessThan() : SUVector3D
- SUVector3DLinearCombination() : SUVector3D
- SUVector3DNormalize() : SUVector3D
- SUVector3DReverse() : SUVector3D
- SUVector3DSetLength() : SUVector3D
- SUVector3DTransform() : SUVector3D